package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.entity.QcCasesHospital;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.QcCasesServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.QcCasesPageVO;
import com.diagbot.vo.QcCasesSaveVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/12 14:07
 */
@Component
public class QcCasesFacade extends QcCasesServiceImpl {

    @Autowired
    private QcCasesHospitalFacade qcCasesHospitalFacade;

    public IPage<QcCasesDTO> getQcCasesFac(QcCasesPageVO qcCasesPageVO){
        qcCasesPageVO.setHospitalId(Long.valueOf(SysUserUtils.getCurrentHospitalID()));
        return this.getQcCases(qcCasesPageVO);
    }

    public Boolean saveQcCases(QcCasesSaveVO qcCasesSaveVO){
        return qcCasesHospitalFacade.update(new UpdateWrapper<QcCasesHospital>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("id", qcCasesSaveVO.getId())
                .eq("hospital_id", SysUserUtils.getCurrentHospitalID())
                .set("score", qcCasesSaveVO.getScore())
                .set("modifier", SysUserUtils.getCurrentPrincipleID())
                .set("gmt_modified", DateUtil.now()));

    }
}
