package com.diagbot.web;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.QcCasesFacade;
import com.diagbot.vo.QcCasesPageVO;
import com.diagbot.vo.QcCasesSaveVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 病历大模块 前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
@RequestMapping("/qc/cases")
@RestController
@SuppressWarnings("unchecked")
@Api(value = "大模块维护API", tags = { "大模块维护API" })
public class QcCasesController {

    @Autowired
    private QcCasesFacade qcCasesFacade;

    @ApiOperation(value = "获取医院大模块翻页信息[by:gaodm]",
            notes = "")
    @PostMapping("/getQcCases")
    @SysLogger("getQcCases")
    public RespDTO<IPage<QcCasesDTO>> getQcCasesFac(@RequestBody QcCasesPageVO qcCasesPageVO) {
        return RespDTO.onSuc(qcCasesFacade.getQcCasesFac(qcCasesPageVO));
    }


    @ApiOperation(value = "大模块评分单条保存[by:gaodm]",
            notes = "")
    @PostMapping("/saveQcCases")
    @SysLogger("saveQcCases")
    public RespDTO<Boolean> saveQcCases(@RequestBody QcCasesSaveVO qcCasesSaveVO){
        return RespDTO.onSuc(qcCasesFacade.saveQcCases(qcCasesSaveVO));
    }
}
